Subject: bug#19877: 24.4; highlight-regexp displays nonsense options for faces

From: Juri Linkov <[email-masked]>
Date: Wed, 18 Feb 2015 20:23:29 +0200

> 2] on the issue of the strange entries in the history, I've only traced
> the lisp code as far as `read-from-minibuffer' in minibuf.c

These additional entries in the history are all faces that you can select
if you want instead of the small set of default faces at the beginning
of the list.

Maybe the list of all faces (that come after the default faces)
should be better sorted somehow, e.g. alphabetically or by use frequency.

PS: Regarding the default faces used twice, I don't know the reason
why it was implemented this way, so it seems your patch will improve it.